/*********************************************************/
/* Wallis product to calculate Pi			 */
/* http://en.wikipedia.org/wiki/Wallis_product		 */
/* ----------------------------------------------------- */
/* Autor: Sebastian Wieseler				 */
/* Mail: programming@kickino.org			 */
/* Web: http://www.kickino.org/				 */
/* IRC: #uscc @ irc.forkbomb.ch:6668 (ssl only)		 */
/* ----------------------------------------------------- */
/* Date: 2005-12-25					 */
/* Last Change: 2006-01-01				 */
/* Version: 0.2						 */
/* ----------------------------------------------------- */
/* tested OS: GNU/Linux, Windows			 */
/* Copyright: 2005,2006 by Sebastian Wieseler		 */
/* ----------------------------------------------------- */
/* Licence: GNU General Public License v2 or any later	 */
/* ----------------------------------------------------- */
/* NO WARRANTY!                                          */
/*********************************************************/
/*	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/
#include <iostream>

int main()
{
	long double two_over_pi=1;
	long double i=1;

	for (;;i++)
	{
		two_over_pi *= 1 - 1./(4*i*i) ;
		printf ("%.60Lf \n", 2./two_over_pi );

		if (i==1000000000)
			break;		
	}

}
